<?php
session_start();
include "verifica.php";
include "validaciones.php";
include "correlativos.php";

@$xnombres=trim($_REQUEST['xnombres']);
@$xrazonsocial=trim($_REQUEST['xrazonsocial']);

@$xper_ruc_dni_tipo=$_REQUEST['xper_ruc_dni_tipo'];

@$xruc=trim($_REQUEST['xruc']);
@$xnombre_contacto=trim($_REQUEST['xnombre_contacto']);
@$xapellido_contacto=trim($_REQUEST['xapellido_contacto']);
@$xemail=trim($_REQUEST['xemail']);
@$xtelefono1=trim($_REQUEST['xtelefono1']);
@$xtelefono2=trim($_REQUEST['xtelefono2']);
@$xdireccion1=trim($_REQUEST['xdireccion1']);
@$xdireccion2=trim($_REQUEST['xdireccion2']);
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xcredito=$_REQUEST['xcredito'];
if($xcredito!=1){
	$xcredito=0;
}

include "../conexion.php";

$prv = new Proveedores;

switch($xaccion){
	
	case "adicionar": 	
		if($prv->adicionar($conexion)==1){
			//echo "adicionar";

			?>			
			<script language="javascript">
			alert("Proveedor creado satisfactoriamente.")
			parent.location.href="../proveedores.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($prv->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Proveedor modificado satisfactoriamente.")
			parent.location.href="../proveedores.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->personas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{						
			if($prv->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Proveedor eliminado satisfactoriamente.")
				parent.location.href="../proveedores.php";
				</script>			
				<?php
				
			}
		}	
		break;

	case "activar":
		if($prv->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Proveedores{

	//Adiciona nuevo proveedor
	function adicionar($conexion){
		global $xnombres,$xrazonsocial,$xruc,$xnombre_contacto,$xapellido_contacto,$xemail,$xcredito,$xtelefono1,$xtelefono2,$xdireccion1,$xdireccion2,$xaccion,$xid, $xusuario_sesion, $cor, $xper_ruc_dni_tipo;

		$correlativo = $cor->persona($conexion);		
		$correlativo_persona=$correlativo;		

		$r = mysqli_query($conexion,"insert into personas (per_nombre_comercial, 
												  per_razon_social,
												  per_ruc,
												  per_nombre,
												  per_apellido,
												  per_email,
												  per_credito,
												  pertip_codi_fk,
												  per_estado,
												  per_telefono1,
												  per_telefono2,
												  per_direccion1,
												  per_direccion2,
												  per_usu_crea,
												  per_codigo,
												  per_ruc_dni_tipo)
										values ('$xnombres', 
												'$xrazonsocial',
												'$xruc',
												'$xnombre_contacto',
												'$xapellido_contacto',
												'$xemail',
												$xcredito,
												3,
												1,
												'$xtelefono1',
												'$xtelefono2',
												'$xdireccion1',
												'$xdireccion2',
												'$xusuario_sesion',
												'$correlativo_persona',
												'$xper_ruc_dni_tipo');");
		

		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica un proveesdor
	function modificar($conexion){
		global $xnombres,$xrazonsocial,$xruc,$xnombre_contacto,$xapellido_contacto,$xemail,$xcredito,$xtelefono1,$xtelefono2,$xdireccion1,$xdireccion2,$xaccion,$xid, $xusuario_sesion, $xper_ruc_dni_tipo;	

		$r = mysqli_query($conexion,"update personas set per_nombre_comercial = '$xnombres', 
												  per_razon_social = '$xrazonsocial',
												  per_ruc = '$xruc',
												  per_nombre = '$xnombre_contacto',
												  per_apellido = '$xapellido_contacto',
												  per_email = '$xemail',
												  per_credito = '$xcredito',
												  pertip_codi_fk = 3,												
												  per_telefono1 = '$xtelefono1',
												  per_telefono2 = '$xtelefono2',
												  per_direccion1 = '$xdireccion1',
												  per_direccion2 = '$xdireccion2',
												  per_usu_modifica = '$xusuario_sesion',
												  per_ruc_dni_tipo = '$xper_ruc_dni_tipo'
										where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from personas where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa un proveedor
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update personas set per_estado = '$xestado',
														 per_usu_activa = '$xusuario_sesion'
													where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
